package cn.com.ctop.kuaishou.modules.channel.service;

import cn.com.ctop.kuaishou.modules.channel.entity.KuaishouChannel;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.multipart.MultipartFile;

/**
 * 渠道号信息表
 *
 * @author jeecg-boot
 * 2021-08-30
 * @version V1.0
 */
public interface IKuaishouChannelService extends IService<KuaishouChannel> {

    Result<Object> channelManagementHome(KuaishouChannel kuaishouChannel);

    Result<Object> channelNumberDetails(KuaishouChannel kuaishouCha, Integer pageNo, Integer pageSizennel);

    Result<Object> channelNumberUsageDetailsList(KuaishouChannel kuaishouChannel, Integer pageNo, Integer pageSize);

    Result<Object> channelNumberBindingItemInfo(JSONArray request);

    Result<Object> importChannelExcel(MultipartFile file, String imageUrl) throws Exception;

    Result<Object> systemBatchCreation(JSONObject request);

    Result<Object> queryChannel(Long accountId, String usageLevel, String appName, String photoName) throws Exception;

    Result<Object> queryChannelLevel(JSONObject request);

    void callBackUpdateChannelRel(String level, String channelCode, Long accoountId, Long planId, Long groupId);

    KuaishouChannel queryUsedChannel(Long accountId, Long newCampaignId, String level);

    Result<Object> queryChannelList(Long accountId, String appName);

    Result<Object> updateChannels(KuaishouChannel channel);
}
